package library

import (
	"database/sql"
)

func initializeDatabase(db *sql.DB) error {
	_, err := db.Exec(`
		CREATE TABLE IF NOT EXISTS libraries (
			name TEXT PRIMARY KEY,
			directory TEXT
		);

		CREATE TABLE IF NOT EXISTS files (
			library_name TEXT,
			file_path TEXT,
			checksum TEXT,
			failed BOOLEAN DEFAULT FALSE,
			PRIMARY KEY (library_name, file_path)
		);
	`)
	return err
}
